
From: Andries.Brouwer@cwi.nl

The old NFS control interface passes dev_t's in from userspace.  This patch
keeps it working when the size of dev_t changes.

This is a deprecated interface - new nfs-utils uses an ascii representation
in exportfs.



 /dev/null                         |    0 
 arch/ia64/ia32/sys_ia32.c         |    1 -
 arch/parisc/kernel/sys_parisc32.c |    2 +-
 arch/ppc64/kernel/sys_ppc32.c     |    1 -
 arch/sparc64/kernel/sys_sparc32.c |    1 -
 arch/x86_64/ia32/sys_ia32.c       |    1 -
 include/linux/nfsd/syscall.h      |    3 +--
 7 files changed, 2 insertions(+), 7 deletions(-)

diff -puN arch/ia64/ia32/sys_ia32.c~nfsctl-dev_t-fix arch/ia64/ia32/sys_ia32.c
--- 25/arch/ia64/ia32/sys_ia32.c~nfsctl-dev_t-fix	2003-04-19 13:48:51.000000000 -0700
+++ 25-akpm/arch/ia64/ia32/sys_ia32.c	2003-04-19 13:48:51.000000000 -0700
@@ -3040,7 +3040,6 @@ struct nfsctl_arg32 {
 #define ca32_svc	u.u32_svc
 #define ca32_client	u.u32_client
 #define ca32_export	u.u32_export
-#define ca32_authd	u.u32_authd
 #define ca32_debug	u.u32_debug
 };
 
diff -puN arch/parisc/kernel/sys_parisc32.c~nfsctl-dev_t-fix arch/parisc/kernel/sys_parisc32.c
--- 25/arch/parisc/kernel/sys_parisc32.c~nfsctl-dev_t-fix	2003-04-19 13:48:51.000000000 -0700
+++ 25-akpm/arch/parisc/kernel/sys_parisc32.c	2003-04-19 13:48:51.000000000 -0700
@@ -1131,7 +1131,7 @@ asmlinkage long sys32_msgrcv(int msqid,
 struct nfsctl_export32 {
 	char		ex_client[NFSCLNT_IDMAX+1];
 	char		ex_path[NFS_MAXPATHLEN+1];
-	__kernel_dev_t	ex_dev;
+	__kernel_old_dev_t ex_dev;
 	compat_ino_t	ex_ino;
 	int		ex_flags;
 	__kernel_uid_t	ex_anon_uid;
diff -puN arch/ppc64/kernel/sys_ppc32.c~nfsctl-dev_t-fix arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~nfsctl-dev_t-fix	2003-04-19 13:48:51.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2003-04-19 13:48:51.000000000 -0700
@@ -912,7 +912,6 @@ struct nfsctl_arg32 {
 #define ca32_export	u.u32_export
 #define ca32_getfd	u.u32_getfd
 #define ca32_getfs	u.u32_getfs
-#define ca32_authd	u.u32_authd
 };
 
 union nfsctl_res32 {
diff -puN -L arch/s390x/kernel/linux32.c /dev/null /dev/null
diff -puN arch/sparc64/kernel/sys_sparc32.c~nfsctl-dev_t-fix arch/sparc64/kernel/sys_sparc32.c
--- 25/arch/sparc64/kernel/sys_sparc32.c~nfsctl-dev_t-fix	2003-04-19 13:48:51.000000000 -0700
+++ 25-akpm/arch/sparc64/kernel/sys_sparc32.c	2003-04-19 13:48:55.000000000 -0700
@@ -2133,7 +2133,6 @@ struct nfsctl_arg32 {
 #define ca32_export	u.u32_export
 #define ca32_getfd	u.u32_getfd
 #define ca32_getfs	u.u32_getfs
-#define ca32_authd	u.u32_authd
 };
 
 union nfsctl_res32 {
diff -puN arch/x86_64/ia32/sys_ia32.c~nfsctl-dev_t-fix arch/x86_64/ia32/sys_ia32.c
--- 25/arch/x86_64/ia32/sys_ia32.c~nfsctl-dev_t-fix	2003-04-19 13:48:51.000000000 -0700
+++ 25-akpm/arch/x86_64/ia32/sys_ia32.c	2003-04-19 13:48:55.000000000 -0700
@@ -1708,7 +1708,6 @@ struct nfsctl_arg32 {
 #define ca32_export	u.u32_export
 #define ca32_getfd	u.u32_getfd
 #define ca32_getfs	u.u32_getfs
-#define ca32_authd	u.u32_authd
 };
 
 union nfsctl_res32 {
diff -puN include/linux/nfsd/syscall.h~nfsctl-dev_t-fix include/linux/nfsd/syscall.h
--- 25/include/linux/nfsd/syscall.h~nfsctl-dev_t-fix	2003-04-19 13:48:51.000000000 -0700
+++ 25-akpm/include/linux/nfsd/syscall.h	2003-04-19 13:48:55.000000000 -0700
@@ -59,7 +59,7 @@ struct nfsctl_client {
 struct nfsctl_export {
 	char			ex_client[NFSCLNT_IDMAX+1];
 	char			ex_path[NFS_MAXPATHLEN+1];
-	__kernel_dev_t		ex_dev;
+	__kernel_old_dev_t	ex_dev;
 	__kernel_ino_t		ex_ino;
 	int			ex_flags;
 	__kernel_uid_t		ex_anon_uid;
@@ -104,7 +104,6 @@ struct nfsctl_arg {
 #define ca_export	u.u_export
 #define ca_getfd	u.u_getfd
 #define	ca_getfs	u.u_getfs
-#define ca_authd	u.u_authd
 };
 
 union nfsctl_res {

_
